Page MenuHomePhabricator

Save translations in Draft namespace where it is available
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/language_engineering/cards/3960

Context

The draft namespace provides place for work-in-progress content.

Unfortunately, the draft namespace is not available in al Wikipedias, so it can be used only when it is available.

Narrative

As a user<i>, I can create translations in a common place</i>//<i>, so that they do not depend on my user and duplications are reduced</i>.//

Acceptance Criteria

  • For wikis with draft namespace enabled, in-progress translations are saved in the draft namespace.
  • For wikis with draft namespace enabled,anonymous users can create andpublish translations.
  • For wikis without draft namespace support, translations will use the user namespace as usual.
  • The change should be transparent to the different CX processes:
  • Processes that get translations across different wikis, should be aware of the possible locations.
  • For wikis with draft namespace, adecision is made on what to do with the existing translations under the username space (deprecate, migrate, integrate...).

Event Timeline

Amire80 raised the priority of this task from to High.Feb 20 2015, 3:52 PM
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 3:52 PM
Arrbee updated the task description. (Show Details)Feb 24 2015, 4:43 AM
Arrbee set Security to None.
santhosh lowered the priority of this task from High to Low.Jun 8 2015, 8:12 AM
santhosh added a subscriber: santhosh.

Lowering priority as we publish to Main namespace and don't see any serious issue with that.

Amire80 closed this task as Resolved.Jun 30 2015, 8:55 AM
Amire80 claimed this task.

... Publishing to draft namespace is possible by simply adding it to the title and some people do it. More importantly, publishing to the main space causes practically no problems, so there's nothing more to do here.